INSERT INTO job_config(job_id, spider_name, sitemap_url, atom_url, output_path, output_bucket, output_working_bucket)
VALUES
    ('spain_local', 'spain', 'https://www.boe.es/eli/sitemap.xml', 'https://www.boe.es/eli/eli-update-feed.atom', '/home/nowakju/Documents/workspace/elisearch/data/spain', '', ''),
    ('spain_aws', 'spain', 'https://www.boe.es/eli/sitemap.xml', 'https://www.boe.es/eli/eli-update-feed.atom','','d-ew1-nlex-elisearch-input', 'd-ew1-nlex-elisearch-working'),
    ('lux_local', 'luxembourg', 'https://legilux.public.lu/pillar4/sitemap.xml', 'https://legilux.public.lu/pillar4/eli-update-feed.atom', '/home/nowakju/Documents/workspace/elisearch/data/luxembourg', '', ''),
    ('port_local', 'portugal', 'https://files.diariodarepublica.pt/eli/sitemap/sitemap.xml', 'https://files.diariodarepublica.pt/eli/eli-update-feed.atom', '/home/nowakju/Documents/workspace/elisearch/data/portugal', '', '');

INSERT INTO filtering_queries(id, name, query_type, content)
VALUES
('fts_query_1', 'Indicate the title language and strip the language tag from the title string to harmonize the search record structure', 'FTS', 'PREFIX eli: <http://data.europa.eu/eli/ontology#> CONSTRUCT { ?s ?p ?o . ?exp ?lang_title ?stripped_title . ?exp eli:title ?stripped_title . } WHERE { VALUES ( ?lang ?lang_title ) { ( <http://publications.europa.eu/resource/authority/language/FRA> eli:title_x_fr ) ( <http://publications.europa.eu/resource/authority/language/ENG> eli:title_x_en ) ( <http://publications.europa.eu/resource/authority/language/SPA> eli:title_x_es ) ( <http://www.elidata.es/mdr/authority/language/spa> eli:title_x_es ) ( <http://publications.europa.eu/resource/authority/language/DEU> eli:title_x_de ) ( <http://publications.europa.eu/resource/authority/language/POR> eli:title_x_pt ) } { ?s ?p ?o FILTER ( ?p != eli:title ) } UNION { ?exp eli:language ?lang ; eli:title ?title BIND(str(?title) AS ?stripped_title) } }'),
('rdf_query_1', 'Enrich the work-level metadata with a schema.org property to indicate the country of origin', 'RDF', 'PREFIX schema: <http://schema.org/> PREFIX eli: <http://data.europa.eu/eli/ontology#> CONSTRUCT { ?work ?p0 ?o0 . ?work schema:countryOfOrigin ?country . ?exp ?p1 ?o1 . ?manif ?p2 ?o2 . } WHERE { VALUES ( ?work ?domain ?country ) { ( <$URL> "http://data.legilux.public.lu/eli"<http://publications.europa.eu/resource/authority/country/LUX> ) ( <$URL> "https://www.boe.es/eli" <http://publications.europa.eu/resource/authority/country/ESP> ) ( <$URL> "https://files.diariodarepublica.pt/eli" <http://publications.europa.eu/resource/authority/country/PRT> ) } ?work ?p0 ?o0 FILTER regex(str(?work), str(?domain)) OPTIONAL { ?exp eli:realizes|^eli:is_realized_by ?work . ?exp ?p1 ?o1 OPTIONAL { ?manif eli:embodies|^eli:is_embodied_by ?exp . ?manif ?p2 ?o2 } } }');
